---
title: Fish Audio Sesleri Listeleme | RunAPI
description: Sesleri listele uç noktasını kullanarak sonucu aynı yanıtta alın.
url: https://runapi.ai/tr/docs/api/fish-audio/list-voices.md
canonical: https://runapi.ai/tr/docs/api/fish-audio/list-voices
locale: tr
---

> HTML sürümü: https://runapi.ai/tr/docs/api/fish-audio/list-voices
> Ajanlar için site dizini: https://runapi.ai/llms.txt

# Fish Audio Sesleri Listeleme

## Genel Bakış

Sesleri listele uç noktasını kullanın ve sonucu aynı yanıttan okuyun.

### Hızlı başlangıç

1. Bir API anahtarı oluşturun ve RUNAPI_API_KEY olarak ayarlayın.
2. Gövdesi istek şemasıyla eşleşen bir POST isteği gönderin.
3. Sonucu başarılı yanıt gövdesinden okuyun.

## Uç Nokta

GET /api/v1/fish_audio/voices

Temel URL: https://runapi.ai

API sürümü: v1

Kimlik doğrulama: Authorization: Bearer YOUR_API_TOKEN

## Desteklenen modeller

Güncel fiyatlandırma, hız sınırları ve ticari kullanım ayrıntıları için bir model sayfası açın.

- [Fish Audio](https://runapi.ai/tr/models/fish-audio)

## İstek şeması

Yalnızca bu uç nokta için bildirilen alanları gönderin.

### İstek gövdesi

```json
{
  "page_number": {
    "default": 1,
    "min": 1,
    "type": "integer"
  },
  "page_size": {
    "default": 10,
    "max": 100,
    "min": 1,
    "type": "integer"
  }
}
```

## Başarılı yanıt

HTTP 200 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "page_number": {
      "type": "integer"
    },
    "page_size": {
      "type": "integer"
    },
    "total": {
      "type": "integer"
    },
    "voices": {
      "items": {
        "properties": {
          "name": {
            "type": "string"
          },
          "state": {
            "enum": [
              "created",
              "training",
              "trained",
              "failed"
            ],
            "type": "string"
          },
          "voice_id": {
            "type": "string"
          }
        },
        "required": [
          "voice_id",
          "state"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    }
  },
  "required": [
    "voices",
    "total",
    "page_number",
    "page_size",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "page_number": 1,
  "page_size": 10,
  "total": 1,
  "voices": [
    {
      "name": "Studio Narrator",
      "state": "trained",
      "voice_id": "voice_reference_narrator"
    }
  ]
}
```

## Hatalar

HTTP 401 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hatalar

HTTP 400 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir hata mesajı.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "İnsan tarafından okunabilir doğrulama özeti.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Herkese açık istek alanına göre anahtarlanan doğrulama mesajları; her alan için insan tarafından okunabilir dizelerden oluşan bir dizi içerir.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Yanıt örneği

```json
{
  "error": "page_number must be greater than or equal to 1"
}
```

## Hatalar

HTTP 402 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Insufficient balance"
}
```

## Hatalar

HTTP 429 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "API key credit limit exceeded"
}
```

## Hatalar

HTTP 409 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Hatalar

HTTP 429 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Hatalar

HTTP 503 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Hatalar

HTTP 504 - GET /api/v1/fish_audio/voices

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "The request timed out"
}
```

## Oluşturulan Kod Örnekleri

Doğrudan cURL kullanın veya diliniz için bir SDK yükleyin. Her örnek, bu başvuruda gösterilen doğrulanmış isteği gönderir.

### curl

```curl
curl -X GET https://runapi.ai/api/v1/fish_audio/voices\?page_number\=1\&page_size\=10 \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### javascript

#### Yükle

```bash
npm install @runapi.ai/fish-audio
```

```javascript
import { FishAudioClient } from "@runapi.ai/fish-audio";

const client = new FishAudioClient({ apiKey: process.env.RUNAPI_API_KEY });
const result = await client.listVoices.run({
  "page_number": 1,
  "page_size": 10
});
```

### python

#### Yükle

```bash
pip install runapi-fish-audio
```

```python
import os
from runapi.fish_audio import FishAudioClient

client = FishAudioClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.list_voices.run(
  page_number=1,
  page_size=10
)
```

### go

#### Yükle

```bash
go get github.com/runapi-ai/fish-audio-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  fishaudio "github.com/runapi-ai/fish-audio-sdk/go/fishaudio"
)

func main() {
  client, err := fishaudio.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  result, err := client.ListVoices.Run(context.Background(), fishaudio.ListVoicesParams{
    PageNumber: 1,
    PageSize: 10,
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = result
}
```

### ruby

#### Yükle

```bash
gem install runapi-fish-audio
```

```ruby
require "runapi/fish_audio"

client = RunApi::FishAudio::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
result = client.list_voices.run(
  page_number: 1,
  page_size: 10
)
```

### java

#### Yükle

```kotlin
implementation("ai.runapi:runapi-fish-audio")
```

```java
import ai.runapi.fishaudio.FishAudioClient;
import ai.runapi.fishaudio.types.ListVoicesParams;
import ai.runapi.fishaudio.types.VoicesResponse;

public final class Example {
  public static void main(String[] args) {
    FishAudioClient client = FishAudioClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    VoicesResponse result = client.listVoices().run(
        ListVoicesParams.builder()
        .pageNumber(1)
        .pageSize(10)
            .build()
    );
  }
}
```

### php

#### Yükle

```bash
composer require runapi-ai/fish-audio
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\FishAudio\FishAudioClient;

$client = new FishAudioClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$result = $client->listVoices->run([
  "page_number" => 1,
  "page_size" => 10
]);
```

## İlgili Kılavuzlar

- [Kimlik doğrulama](https://runapi.ai/tr/docs/guides/authentication.md)
- [Hızlı başlangıç](https://runapi.ai/tr/docs/guides/task-api/quickstart.md)

---

## RunAPI hakkında daha fazlası

- [Ana sayfa](https://runapi.ai/tr/.md)
- [Model Kataloğu](https://runapi.ai/tr/models.md)
- [Fiyatlandırma](https://runapi.ai/tr/pricing.md)
- [Sağlayıcılar](https://runapi.ai/tr/models)
- [Dokümantasyon](https://runapi.ai/tr/docs/guides)
- [SDK'lar](https://runapi.ai/tr/sdk.md)
- [CLI](https://runapi.ai/tr/cli.md)
- [MCP Sunucusu](https://runapi.ai/tr/mcp.md)
- [Claude Code ve Cursor](https://runapi.ai/tr/claude-code-vs-cursor.md)
- [Cursor API kurulumu](https://runapi.ai/tr/cursor-api-setup.md)
- [RunAPI ve OpenRouter](https://runapi.ai/tr/openrouter-alternative.md)
- [Kurumsal](https://runapi.ai/tr/contact.md)
- [İletişim](https://runapi.ai/tr/contact.md)
- [Şartlar](https://runapi.ai/tr/terms.md)
- [Gizlilik](https://runapi.ai/tr/privacy.md)
- [Ajanlar için site dizini](https://runapi.ai/llms.txt)

İletişim: contact@runapi.ai

## Yapılandırılmış veriler

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/tr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/tricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "TechArticle",
    "headline": "Fish Audio Sesleri Listeleme",
    "description": "Sesleri listele uç noktasını kullanarak sonucu aynı yanıtta alın.",
    "url": "https://runapi.ai/tr/docs/api/fish-audio/list-voices",
    "mainEntityOfPage": "https://runapi.ai/tr/docs/api/fish-audio/list-voices"
  }
]
```
